// -*-C++-*-
/*!
 * @file  RefHardRh2ProSVC_impl.cpp
 * @brief Service implementation code of RefHardRh2Pro.idl
 *
 * @author N.Takekawa (takekawa-777@aist.go.jp)
 *
 * Copyright (c) 2008, National Institute of Advanced Industrial Science and Tec
 * hnology (AIST). All rights reserved. This program is made available under the te
 * rms of the Eclipse Public License v1.0 which accompanies this distribution, and 
 * is available at http://www.eclipse.org/legal/epl-v10.html
 *
 */

#include "RefHardRh2ProSVC_impl.h"

/*
 * Example implementational code for IDL interface RefHard
 */
RefHardSVC_impl::RefHardSVC_impl()
{
/*--------------------Addition---------------------*/
  isStop= isGo= false;
/*--------------------Addition---------------------*/
}


RefHardSVC_impl::~RefHardSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void RefHardSVC_impl::Stop()
{
  isStop= true;
  return;
}

void RefHardSVC_impl::Go()
{
  isGo= true;
  return;
}



// End of example implementational code



